Subject: Re: [bitcoin-dev] RFC - BIP: URI scheme for Blockchain exploration

From: Andreas Schildbach <[email-masked]>
Date: Sat, 29 Aug 2015 20:07:26 +0200

On 08/29/2015 06:31 PM, Richard Moore via bitcoin-dev wrote:

> I like the idea of having a standard for this, that all explorers (and
> even core, eventually) would understand.
> 
> I would recommend 2 changes though. First, using a real URI scheme,
> blockchain:// so that we can just use normal URL parsing libraries. The
> bitcoin: thing leads to additional code to mutate it into a proper URI
> before passing it to URL parsing. And I think it would be fine to
> include the type looking up. For example:
> 
> blockchain://blockhash/00000000000000001003e880d500968d51157f210c632e08a652af3576600198
> blockchain://txid/3b95a766d7a99b87188d6875c8484cb2b310b78459b7816d4dfc3f0f7e04281a
> blockchain://block/189000
> blockchain://address/1RicMooMWxqKczuRCa5D2dnJaUEn9ZJyn

Good thinking! It might make sense to look at the existing de-facto
standard (e.g. blockexplorer.com, blockchain.info):

/tx/ for transactions
/block/ for blocks, supports both hash or height
/address/ for address